summaryrefslogtreecommitdiffstats
path: root/docs/master_nfs_node.sh
diff options
context:
space:
mode:
authorRoger Maitland <Roger.Maitland@amdocs.com>2018-05-31 14:09:09 -0400
committerRoger Maitland <Roger.Maitland@amdocs.com>2018-05-31 14:09:09 -0400
commiteb412c6bc9d7cdab6b14355c71b2e09b6ce0ab35 (patch)
tree80412a3d20056b51a547e0ce546860cba29821d3 /docs/master_nfs_node.sh
parente68e6f2d2d5e57ef3e2a6d97c4ce531c1ec51c2d (diff)
Add OOM Setup Guide for Kubernetes to docs
Change-Id: I6945045d852ceace7d729821d61dd004e74075ec Signed-off-by: Roger Maitland <Roger.Maitland@amdocs.com> Issue-ID: OOM-822
Diffstat (limited to 'docs/master_nfs_node.sh')
-rw-r--r--docs/master_nfs_node.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/docs/master_nfs_node.sh b/docs/master_nfs_node.sh
new file mode 100644
index 0000000000..4a7a8dbc12
--- /dev/null
+++ b/docs/master_nfs_node.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+usage () {
+ echo "Usage:"
+ echo " ./$(basename $0) node1_ip node2_ip ... nodeN_ip"
+ exit 1
+}
+
+if [ "$#" -lt 1 ]; then
+ echo "Missing NFS slave nodes"
+ usage
+fi
+
+#Install NFS kernel
+sudo apt-get update
+sudo apt-get install -y nfs-kernel-server
+
+#Create /dockerdata-nfs and set permissions
+sudo mkdir -p /dockerdata-nfs
+sudo chmod 777 -R /dockerdata-nfs
+sudo chown nobody:nogroup /dockerdata-nfs/
+
+#Update the /etc/exports
+NFS_EXP=""
+for i in $@; do
+ NFS_EXP+="$i(rw,sync,no_root_squash,no_subtree_check) "
+done
+echo "/dockerdata-nfs "$NFS_EXP | sudo tee -a /etc/exports
+
+#Restart the NFS service
+sudo exportfs -a
+sudo systemctl restart nfs-kernel-server
a> 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356